# SystemAddress Struct Reference

Network address for a system. More...

`#include <RakNetTypes.h>`

List of all members.

## Public Attributes
uint32_t | binaryAddress
| The peer address from inet_addr.
unsigned short | port
| The port number.

## Detailed Description

Network address for a system.

Corresponds to a network address
This is not necessarily a unique identifier. For example, if a system has both LAN and internet connections, the system may be identified by either one, depending on who is communicating
Use RakNetGUID for a unique per-instance of RakPeer to identify systems

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/Source/RakNetTypes.h